Subject: Re: [PATCH net] net: fix possible store tearing in neigh_periodic_work()

From: [email-masked]
Date: Sun, 01 Oct 2023 15:30:22 +0000

Hello:

This patch was applied to netdev/net.git (main)
by David S. Miller <[email-masked]>:

On Thu, 21 Sep 2023 08:46:26 +0000 you wrote:
> While looking at a related syzbot report involving neigh_periodic_work(),
> I found that I forgot to add an annotation when deleting an
> RCU protected item from a list.
> 
> Readers use rcu_deference(*np), we need to use either
> rcu_assign_pointer() or WRITE_ONCE() on writer side
> to prevent store tearing.
> 
> [...]

Here is the summary with links:
  - [net] net: fix possible store tearing in neigh_periodic_work()
    https://git.kernel.org/netdev/net/c/25563b581ba3

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html